SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Forum/Board/Portal)  >   Moodle Vendors:   moodle.org
Moodle Directory Traversal Flaw Lets Remote Users View Arbitrary Files
SecurityTracker Alert ID:  1031712
SecurityTracker URL:  http://securitytracker.com/id/1031712
CVE Reference:   CVE-2015-1493   (Links to External Site)
Date:  Feb 9 2015
Impact:   Disclosure of system information, Disclosure of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): 2.3 (Windows) and 2.5 (Others) and later, but prior to versions 2.6.8, 2.7.5, 2.8.3
Description:   A vulnerability was reported in Moodle. A remote user can view files on the target system.

The software does not properly validate user-supplied input to some scripts that serve JavaScript. A remote user can supply a specially crafted request containing the '../' string to view files on target system that are located outside of the document directory.

The 'file' parameter is affected.

Emiel Florijn reported this vulnerability.

Impact:   A remote user can view files on the target system.
Solution:   The vendor has issued a fix (2.6.8, 2.7.5, 2.8.3).

The vendor's advisory is available at:

https://moodle.org/security/

Vendor URL:  moodle.org/security/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC